org.gradle.api.artifacts

## Interface ComponentMetadataDetails

-     @Incubating
      @NonExtensible
      public interface ComponentMetadataDetails

  Describes a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM). Some parts of the metadata can be changed via metadata rules (see `ComponentMetadataHandler`.
  Since:
    1.8

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModuleVersionIdentifier` | `getId()` Returns the identifier of the component.
    `String` | `getStatus()` Returns the status of the component.
    `List<String>` | `getStatusScheme()` Returns the status scheme of the component.
    `boolean` | `isChanging()` Tells whether the component is changing or immutable.
    `void` | `setChanging(boolean changing)` Sets whether the component is changing or immutable.
    `void` | `setStatus(String status)` Sets the status of the component.
    `void` | `setStatusScheme(List<String> statusScheme)` Sets the status scheme of the component.

- - ### Method Detail

    - #### getId

          ModuleVersionIdentifier getId()

      Returns the identifier of the component.
      Returns:
        the identifier of the component.

    - #### isChanging

          boolean isChanging()

      Tells whether the component is changing or immutable.
      Returns:
        whether the component is changing or immutable.

    - #### getStatus

          String getStatus()

      Returns the status of the component. Must match one of the values in `getStatusScheme()`.
      Returns:
        the status of the component

    - #### getStatusScheme

          List<String> getStatusScheme()

      Returns the status scheme of the component. Values are ordered from least to most mature status. Defaults to `["integration", "milestone", "release"]`.
      Returns:
        the status scheme of the component

    - #### setChanging

          void setChanging(boolean changing)

      Sets whether the component is changing or immutable.
      Parameters:
        `changing` - whether the component is changing or immutable

    - #### setStatus

          void setStatus(String status)

      Sets the status of the component. Must match one of the values in `getStatusScheme()`.
      Parameters:
        `status` - the status of the component

    - #### setStatusScheme

          void setStatusScheme(List<String> statusScheme)

      Sets the status scheme of the component. Values are ordered from least to most mature status.
      Parameters:
        `statusScheme` - the status scheme of the component